org.jgroups.util

## Class FIFOMessageQueue<K,V>

- java.lang.Object
- - org.jgroups.util.FIFOMessageQueue<K,V>

- Deprecated.
  Will be removed together with the Multiplexer in 3.0

      @Deprecated
      public class FIFOMessageQueue<K,V>
      extends java.lang.Object

  Blocking queue which can only process 1 message per service concurrently, establishing FIFO order per sender. Example: if message A1, A2, A3, B1, B2 (where A and B are service names for services on top of a Multiplexer) arrive at the same time, then this class will deliver A1 and B1 concurrently (ie. pass them up to the thread pool for processing). Only when A1 is done will A2 be processed, same for B2: it will get processed when B1 is done. Thus, messages for different services are processed concurrently; messages from the same service are processed FIFO.
  Author:
    Bela Ban

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FIFOMessageQueue()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `done(Address sender, K dest)` Deprecated.
    `V` | `poll(long timeout)` Deprecated.
    `void` | `put(Address sender, K dest, V el)` Deprecated.
    `int` | `size()` Deprecated.
    `V` | `take()` Deprecated.
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FIFOMessageQueue

          public FIFOMessageQueue()

      Deprecated.

  - ### Method Detail

    - #### take

          public V take()
                 throws java.lang.InterruptedException

      Deprecated.
      Throws:
        `java.lang.InterruptedException`

    - #### poll

          public V poll(long timeout)
                 throws java.lang.InterruptedException

      Deprecated.
      Throws:
        `java.lang.InterruptedException`

    - #### put

          public void put(Address sender,
                 K dest,
                 V el)
                   throws java.lang.InterruptedException

      Deprecated.
      Throws:
        `java.lang.InterruptedException`

    - #### done

          public void done(Address sender,
                  K dest)

      Deprecated.

    - #### size

          public int size()

      Deprecated.

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.